
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare.lingproc package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare.test package" href="nl2declare.test.html" />
    <link rel="prev" title="nl2declare.evaluation package" href="nl2declare.evaluation.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-lingproc-package">
<h1>nl2declare.lingproc package<a class="headerlink" href="#nl2declare-lingproc-package" title="Permalink to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-nl2declare.lingproc.declare_constructor">
<span id="nl2declare-lingproc-declare-constructor-module"></span><h2>nl2declare.lingproc.declare_constructor module<a class="headerlink" href="#module-nl2declare.lingproc.declare_constructor" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.lingproc.declare_constructor.DeclareConstructor">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.lingproc.declare_constructor.</span></span><span class="sig-name descname"><span class="pre">DeclareConstructor</span></span><a class="reference internal" href="_modules/nl2declare/lingproc/declare_constructor.html#DeclareConstructor"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.declare_constructor.DeclareConstructor" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.declare_constructor.DeclareConstructor.convert_to_declare_model">
<span class="sig-name descname"><span class="pre">convert_to_declare_model</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">model</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/declare_constructor.html#DeclareConstructor.convert_to_declare_model"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.declare_constructor.DeclareConstructor.convert_to_declare_model" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.declare_constructor.DeclareConstructor.is_meta_action">
<span class="sig-name descname"><span class="pre">is_meta_action</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">action</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/declare_constructor.html#DeclareConstructor.is_meta_action"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.declare_constructor.DeclareConstructor.is_meta_action" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.lingproc.text_parser">
<span id="nl2declare-lingproc-text-parser-module"></span><h2>nl2declare.lingproc.text_parser module<a class="headerlink" href="#module-nl2declare.lingproc.text_parser" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.lingproc.text_parser.</span></span><span class="sig-name descname"><span class="pre">TextParser</span></span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.analyze_flow_actions">
<span class="sig-name descname"><span class="pre">analyze_flow_actions</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">model</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.analyze_flow_actions"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.analyze_flow_actions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.analyze_grammar">
<span class="sig-name descname"><span class="pre">analyze_grammar</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">model</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.analyze_grammar"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.analyze_grammar" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.build_noun_phrase">
<span class="sig-name descname"><span class="pre">build_noun_phrase</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">noun</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">sentence</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.build_noun_phrase"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.build_noun_phrase" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.extract_noun_phrases">
<span class="sig-name descname"><span class="pre">extract_noun_phrases</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">model</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.extract_noun_phrases"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.extract_noun_phrases" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.extract_verbs">
<span class="sig-name descname"><span class="pre">extract_verbs</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">model</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.extract_verbs"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.extract_verbs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.find_neighbor_action">
<span class="sig-name descname"><span class="pre">find_neighbor_action</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">model</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">action</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">bActions</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.find_neighbor_action"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.find_neighbor_action" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.initialize">
<span class="sig-name descname"><span class="pre">initialize</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.initialize"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.initialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.merge_incomplete_actions">
<span class="sig-name descname"><span class="pre">merge_incomplete_actions</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">nullaction</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">neighbor</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.merge_incomplete_actions"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.merge_incomplete_actions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.nlp_pipeline">
<span class="sig-name descname"><span class="pre">nlp_pipeline</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">&lt;stanza.pipeline.core.Pipeline</span> <span class="pre">object&gt;</span></em><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.nlp_pipeline" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.parse_constraint_string">
<span class="sig-name descname"><span class="pre">parse_constraint_string</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.parse_constraint_string"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.parse_constraint_string" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.post_relation_processing">
<span class="sig-name descname"><span class="pre">post_relation_processing</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">model</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.post_relation_processing"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.post_relation_processing" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.process_complex_noun_phrases">
<span class="sig-name descname"><span class="pre">process_complex_noun_phrases</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">noun_phrases</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">complex_nouns</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">sentence</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.process_complex_noun_phrases"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.process_complex_noun_phrases" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.lingproc.text_parser.TextParser.reversedCondition">
<span class="sig-name descname"><span class="pre">reversedCondition</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">actA</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">actB</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/lingproc/text_parser.html#TextParser.reversedCondition"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.lingproc.text_parser.TextParser.reversedCondition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.lingproc">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare.lingproc" title="Permalink to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
  <li><a href="nl2declare.html">nl2declare package</a><ul>
      <li>Previous: <a href="nl2declare.evaluation.html" title="previous chapter">nl2declare.evaluation package</a></li>
      <li>Next: <a href="nl2declare.test.html" title="next chapter">nl2declare.test package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.lingproc.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>